package com.ruoyi.mall.mapper;

import java.util.Date;
import java.util.List;
import com.ruoyi.mall.domain.TbSignUp;
import org.apache.ibatis.annotations.Param;

/**
 * 用户签到Mapper接口
 *
 * @author ruoyi
 * @date 2025-03-31
 */
public interface TbSignUpMapper
{
    /**
     * 查询用户签到
     *
     * @param signUpId 用户签到主键
     * @return 用户签到
     */
    public TbSignUp selectTbSignUpBySignUpId(Long signUpId);

    /**
     * 查询用户签到列表
     *
     * @param tbSignUp 用户签到
     * @return 用户签到集合
     */
    public List<TbSignUp> selectTbSignUpList(TbSignUp tbSignUp);

    /**
     * 新增用户签到
     *
     * @param tbSignUp 用户签到
     * @return 结果
     */
    public int insertTbSignUp(TbSignUp tbSignUp);

    /**
     * 修改用户签到
     *
     * @param tbSignUp 用户签到
     * @return 结果
     */
    public int updateTbSignUp(TbSignUp tbSignUp);

    /**
     * 删除用户签到
     *
     * @param signUpId 用户签到主键
     * @return 结果
     */
    public int deleteTbSignUpBySignUpId(Long signUpId);

    /**
     * 批量删除用户签到
     *
     * @param signUpIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbSignUpBySignUpIds(Long[] signUpIds);

    public Long getSignUpScore(@Param("userId") Long userId);

    public Integer getSignUp(@Param("userId") Long userId);
}
